View Issue Details

IDProjectCategoryView StatusLast Update
0020761mantisbtcode cleanuppublic2016-06-12 00:42
ReporterdregadAssigned Todregad 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020761: Add new API functions to check+ensure that a category can be deleted
Description

As per vboctor's suggestion in https://github.com/mantisbt/mantisbt/pull/726#issuecomment-190552644

TagsNo tags attached.

Relationships

related to 0016834 closeddregad Can't remove category because of CLOB in the query 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master c5edb0ca

2016-03-02 13:21:37

dregad

Details Diff
New API functions to check that a category can be deleted

- category_can_remove()
- category_ensure_can_remove()

Fixes 0020761
mod - core/category_api.php Diff File

MantisBT: master a9f7cb96

2016-03-02 13:24:00

dregad

Details Diff
Category deletion now uses the new API functions

Issue 0020761
mod - core/category_api.php Diff File
mod - manage_proj_cat_delete.php Diff File

MantisBT: master 997eb7a1

2016-03-02 13:31:57

dregad

Details Diff
SOAP: prevent deletion of default category

mc_project_delete_category() now checks whether the category can be
removed and returns a SoapFault if not.

Issue 0020761
mod - api/soap/mc_project_api.php Diff File

Issue History

Date Modified Username Field Change
2016-03-27 07:57 dregad New Issue
2016-03-27 07:57 dregad Status new => assigned
2016-03-27 07:57 dregad Assigned To => dregad
2016-03-27 08:08 atrol Summary Add new API functions to check+ensure that a can be deleted => Add new API functions to check+ensure that a category can be deleted
2016-03-27 11:13 dregad Relationship added related to 0016834
2016-03-27 11:13 dregad Changeset attached => MantisBT master c5edb0ca
2016-03-27 11:13 dregad Changeset attached => MantisBT master a9f7cb96
2016-03-27 11:13 dregad Changeset attached => MantisBT master 997eb7a1
2016-03-27 11:13 dregad Status assigned => resolved
2016-03-27 11:13 dregad Resolution open => fixed
2016-03-27 11:13 dregad Fixed in Version => 1.3.0-rc.2
2016-03-27 19:06 axosoft3 Issue cloned: 0020764
2016-06-12 00:42 vboctor Status resolved => closed